
CoCoA-5 - Bug #1448

EmacsUI: sending line with "7" calls SourceRegion (!?!?!)

17 Apr 2020 13:56 - Anna Maria Bigatti

Status: Closed Start date: 17 Apr 2020

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: EmacsUI Estimated time: 2.01 hours

Target version: CoCoA-5.3.2 Spent time: 1.55 hour

Description

This is the most amusing and surprising bug I've ever seen.

Evaluating C-<enter> (or C-c C-l) on the first line of this input gives error

points := [   [1234567890, 4],

       [2,6]];

--> ERROR: Found End-of-Input while looking for the start of an expression

after many tests looking for the killer phantom character, I realized it is "7"

points := [   [123456890, 4],

       [2,6]];

-- OK -- no 7

use QQ[x,y,z];

F := [ x-9*y^7,  --<---- 7

      x^4];

--> ERROR: Found End-of-Input ...

Related issues:

Related to CoCoA-5 - Bug #672: Emacs UI: strange string literal causes crash Closed 09 Mar 2015

History

#1 - 17 Apr 2020 13:58 - Anna Maria Bigatti

points := [   [123456890, 4],

       [2,6]];

-- OK -- no 7

points := [   [4, 7],

       [2,6]];

--> ERROR: Found End-of-Input ...

points := [   [123456890, 4],

       [1,7],

       [2,6]];

--> ERROR: Found End-of-Input ...

use QQ[x,y,z];

F := [ x-9*y^7,

      x^4];

--> ERROR: Found End-of-Input ...
#2 - 17 Apr 2020 13:58 - Anna Maria Bigatti

- Subject changed from EmacsUI: sending line with "7" calls SourceRegion (!!!) to EmacsUI: sending line with "7" calls SourceRegion (!?!?!)

#3 - 17 Apr 2020 13:59 - Anna Maria Bigatti

- Description updated

#4 - 17 Apr 2020 15:19 - John Abbott

It is important to read carefully the description of the bug...

I confirm the bug for me (Ubuntu 18.04, emacs 25.2.1).

Very odd!

#5 - 17 Apr 2020 15:22 - John Abbott

I wonder if the problem is in the regexp on line 1423....  damn, I wrote that :-(

#6 - 17 Apr 2020 15:45 - John Abbott

- Assignee set to John Abbott

- % Done changed from 10 to 50

I have modified the regexp in my local copy, and it works now.

BUT the file contains some weird chars now  :-/

Now sure how to do it otherwise...  I'll make a couple more attempts.

#7 - 17 Apr 2020 16:07 - John Abbott

I think I have a reasonable solution; it may not behave exactly as before.  It's tricky getting these regexps to do exactly what I want.

I have replaced the regexp by "[^[:alnum:][:space:][:punct:]]"

A couple of quick tests seemed to work OK.

Also #672 seems ok still.

#8 - 17 Apr 2020 16:07 - John Abbott

- Related to Bug #672: Emacs UI: strange string literal causes crash added

#9 - 17 Apr 2020 16:11 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

I have checked in (cocoa5.el)

How can we make a test suite for the emacs UI?

Please test, and let me know if it works.
#10 - 17 Apr 2020 16:19 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 2.01 h

It works for me

GNU Emacs 22.3.1 (i386-apple-darwin9.8.0, Carbon Version 1.6.0)

 of 2010-01-10 on gs674-seijiz.local

 

John Abbott wrote:

I have checked in (cocoa5.el)

How can we make a test suite for the emacs UI?

 

no idea.  However there is a good team of testers!! ;-)

#11 - 30 Apr 2020 14:16 - Redmine Admin

- Target version changed from CoCoA-5.4.0 to CoCoA-5.3.2
